HtmlComboBox (RichFaces JSF components library 3.2.0.CR3 API)
Keywords: org.richfaces.component.html.HtmlComboBox class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlComboBox

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      org.richfaces.component.UIComboBox
                          org.richfaces.component.html.HtmlComboBox

All Implemented Interfaces:
  javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, javax.faces.component.ValueHolder

    public class HtmlComboBox

extends UIComboBox

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Constructor Summary
`HtmlComboBox()`

Method Summary
`java.lang.String` | `getAccesskey()`
`java.lang.String` | `getAlign()`
`java.lang.String` | `getAlt()`
`java.lang.String` | `getButtonClass()`
`java.lang.String` | `getButtonDisabledClass()`
`java.lang.String` | `getButtonDisabledStyle()`
`java.lang.String` | `getButtonIcon()`
`java.lang.String` | `getButtonIconDisabled()`
`java.lang.String` | `getButtonIconInactive()`
`java.lang.String` | `getButtonInactiveClass()`
`java.lang.String` | `getButtonInactiveStyle()`
`java.lang.String` | `getButtonStyle()`
`java.lang.String` | `getDefaultLabel()`
`java.lang.Boolean` | `getDirectInputSuggestions()`
`java.lang.String` | `getFamily()`
`java.lang.Boolean` | `getFilterNewValues()`
`java.lang.Integer` | `getHideDelay()`
`java.lang.String` | `getInputClass()`
`java.lang.String` | `getInputDisabledClass()`
`java.lang.String` | `getInputDisabledStyle()`
`java.lang.String` | `getInputInactiveClass()`
`java.lang.String` | `getInputInactiveStyle()`
`java.lang.String` | `getInputStyle()`
`java.lang.String` | `getItemClass()`
`java.lang.String` | `getListClass()`
`java.lang.String` | `getListHeight()`
`java.lang.String` | `getListStyle()`
`java.lang.String` | `getListWidth()`
`int` | `getMaxlength()`
`java.lang.String` | `getOnblur()`
`java.lang.String` | `getOnchange()`
`java.lang.String` | `getOnclick()`
`java.lang.String` | `getOndblclick()`
`java.lang.String` | `getOnfocus()`
`java.lang.String` | `getOnitemselected()`
`java.lang.String` | `getOnkeydown()`
`java.lang.String` | `getOnkeypress()`
`java.lang.String` | `getOnkeyup()`
`java.lang.String` | `getOnlistcall()`
`java.lang.String` | `getOnmousedown()`
`java.lang.String` | `getOnmousemove()`
`java.lang.String` | `getOnmouseout()`
`java.lang.String` | `getOnmouseover()`
`java.lang.String` | `getOnmouseup()`
`java.lang.String` | `getOnselect()`
`java.lang.Boolean` | `getSelectFirstOnUpdate()`
`java.lang.Integer` | `getShowDelay()`
`int` | `getSize()`
`java.lang.String` | `getStyle()`
`java.lang.String` | `getStyleClass()`
`java.lang.Object` | `getSuggestionValues()`
`java.lang.String` | `getTabindex()`
`java.lang.String` | `getWidth()`
`boolean` | `isDisabled()`
`boolean` | `isEnableManualInput()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setAccesskey(java.lang.String _accesskey)`
`void` | `setAlign(java.lang.String _align)`
`void` | `setAlt(java.lang.String _alt)`
`void` | `setButtonClass(java.lang.String _buttonClass)`
`void` | `setButtonDisabledClass(java.lang.String _buttonDisabledClass)`
`void` | `setButtonDisabledStyle(java.lang.String _buttonDisabledStyle)`
`void` | `setButtonIcon(java.lang.String _buttonIcon)`
`void` | `setButtonIconDisabled(java.lang.String _buttonIconDisabled)`
`void` | `setButtonIconInactive(java.lang.String _buttonIconInactive)`
`void` | `setButtonInactiveClass(java.lang.String _buttonInactiveClass)`
`void` | `setButtonInactiveStyle(java.lang.String _buttonInactiveStyle)`
`void` | `setButtonStyle(java.lang.String _buttonStyle)`
`void` | `setDefaultLabel(java.lang.String _defaultLabel)`
`void` | `setDirectInputSuggestions(java.lang.Boolean _directInputSuggestions)`
`void` | `setDisabled(boolean _disabled)`
`void` | `setEnableManualInput(boolean _enableManualInput)`
`void` | `setFilterNewValues(java.lang.Boolean _filterNewValues)`
`void` | `setHideDelay(java.lang.Integer _hideDelay)`
`void` | `setInputClass(java.lang.String _inputClass)`
`void` | `setInputDisabledClass(java.lang.String _inputDisabledClass)`
`void` | `setInputDisabledStyle(java.lang.String _inputDisabledStyle)`
`void` | `setInputInactiveClass(java.lang.String _inputInactiveClass)`
`void` | `setInputInactiveStyle(java.lang.String _inputInactiveStyle)`
`void` | `setInputStyle(java.lang.String _inputStyle)`
`void` | `setItemClass(java.lang.String _itemClass)`
`void` | `setListClass(java.lang.String _listClass)`
`void` | `setListHeight(java.lang.String _listHeight)`
`void` | `setListStyle(java.lang.String _listStyle)`
`void` | `setListWidth(java.lang.String _listWidth)`
`void` | `setMaxlength(int _maxlength)`
`void` | `setOnblur(java.lang.String _onblur)`
`void` | `setOnchange(java.lang.String _onchange)`
`void` | `setOnclick(java.lang.String _onclick)`
`void` | `setOndblclick(java.lang.String _ondblclick)`
`void` | `setOnfocus(java.lang.String _onfocus)`
`void` | `setOnitemselected(java.lang.String _onitemselected)`
`void` | `setOnkeydown(java.lang.String _onkeydown)`
`void` | `setOnkeypress(java.lang.String _onkeypress)`
`void` | `setOnkeyup(java.lang.String _onkeyup)`
`void` | `setOnlistcall(java.lang.String _onlistcall)`
`void` | `setOnmousedown(java.lang.String _onmousedown)`
`void` | `setOnmousemove(java.lang.String _onmousemove)`
`void` | `setOnmouseout(java.lang.String _onmouseout)`
`void` | `setOnmouseover(java.lang.String _onmouseover)`
`void` | `setOnmouseup(java.lang.String _onmouseup)`
`void` | `setOnselect(java.lang.String _onselect)`
`void` | `setSelectFirstOnUpdate(java.lang.Boolean _selectFirstOnUpdate)`
`void` | `setShowDelay(java.lang.Integer _showDelay)`
`void` | `setSize(int _size)`
`void` | `setStyle(java.lang.String _style)`
`void` | `setStyleClass(java.lang.String _styleClass)`
`void` | `setSuggestionValues(java.lang.Object _suggestionValues)`
`void` | `setTabindex(java.lang.String _tabindex)`
`void` | `setWidth(java.lang.String _width)`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate, validateValue`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlComboBox

    public HtmlComboBox()

Method Detail

### getAccesskey

    public java.lang.String getAccesskey()

### setAccesskey

    public void setAccesskey(java.lang.String _accesskey)

### getAlign

    public java.lang.String getAlign()

### setAlign

    public void setAlign(java.lang.String _align)

### getAlt

    public java.lang.String getAlt()

### setAlt

    public void setAlt(java.lang.String _alt)

### getButtonClass

    public java.lang.String getButtonClass()

### setButtonClass

    public void setButtonClass(java.lang.String _buttonClass)

### getButtonDisabledClass

    public java.lang.String getButtonDisabledClass()

### setButtonDisabledClass

    public void setButtonDisabledClass(java.lang.String _buttonDisabledClass)

### getButtonDisabledStyle

    public java.lang.String getButtonDisabledStyle()

### setButtonDisabledStyle

    public void setButtonDisabledStyle(java.lang.String _buttonDisabledStyle)

### getButtonIcon

    public java.lang.String getButtonIcon()

### setButtonIcon

    public void setButtonIcon(java.lang.String _buttonIcon)

### getButtonIconDisabled

    public java.lang.String getButtonIconDisabled()

### setButtonIconDisabled

    public void setButtonIconDisabled(java.lang.String _buttonIconDisabled)

### getButtonIconInactive

    public java.lang.String getButtonIconInactive()

### setButtonIconInactive

    public void setButtonIconInactive(java.lang.String _buttonIconInactive)

### getButtonInactiveClass

    public java.lang.String getButtonInactiveClass()

### setButtonInactiveClass

    public void setButtonInactiveClass(java.lang.String _buttonInactiveClass)

### getButtonInactiveStyle

    public java.lang.String getButtonInactiveStyle()

### setButtonInactiveStyle

    public void setButtonInactiveStyle(java.lang.String _buttonInactiveStyle)

### getButtonStyle

    public java.lang.String getButtonStyle()

### setButtonStyle

    public void setButtonStyle(java.lang.String _buttonStyle)

### getDefaultLabel

    public java.lang.String getDefaultLabel()

  Specified by:
    `getDefaultLabel` in class `UIComboBox`

### setDefaultLabel

    public void setDefaultLabel(java.lang.String _defaultLabel)

  Specified by:
    `setDefaultLabel` in class `UIComboBox`

### getDirectInputSuggestions

    public java.lang.Boolean getDirectInputSuggestions()

### setDirectInputSuggestions

    public void setDirectInputSuggestions(java.lang.Boolean _directInputSuggestions)

### isDisabled

    public boolean isDisabled()

### setDisabled

    public void setDisabled(boolean _disabled)

### isEnableManualInput

    public boolean isEnableManualInput()

### setEnableManualInput

    public void setEnableManualInput(boolean _enableManualInput)

### getFilterNewValues

    public java.lang.Boolean getFilterNewValues()

### setFilterNewValues

    public void setFilterNewValues(java.lang.Boolean _filterNewValues)

### getHideDelay

    public java.lang.Integer getHideDelay()

### setHideDelay

    public void setHideDelay(java.lang.Integer _hideDelay)

### getInputClass

    public java.lang.String getInputClass()

### setInputClass

    public void setInputClass(java.lang.String _inputClass)

### getInputDisabledClass

    public java.lang.String getInputDisabledClass()

### setInputDisabledClass

    public void setInputDisabledClass(java.lang.String _inputDisabledClass)

### getInputDisabledStyle

    public java.lang.String getInputDisabledStyle()

### setInputDisabledStyle

    public void setInputDisabledStyle(java.lang.String _inputDisabledStyle)

### getInputInactiveClass

    public java.lang.String getInputInactiveClass()

### setInputInactiveClass

    public void setInputInactiveClass(java.lang.String _inputInactiveClass)

### getInputInactiveStyle

    public java.lang.String getInputInactiveStyle()

### setInputInactiveStyle

    public void setInputInactiveStyle(java.lang.String _inputInactiveStyle)

### getInputStyle

    public java.lang.String getInputStyle()

### setInputStyle

    public void setInputStyle(java.lang.String _inputStyle)

### getItemClass

    public java.lang.String getItemClass()

### setItemClass

    public void setItemClass(java.lang.String _itemClass)

### getListClass

    public java.lang.String getListClass()

### setListClass

    public void setListClass(java.lang.String _listClass)

### getListHeight

    public java.lang.String getListHeight()

### setListHeight

    public void setListHeight(java.lang.String _listHeight)

### getListStyle

    public java.lang.String getListStyle()

### setListStyle

    public void setListStyle(java.lang.String _listStyle)

### getListWidth

    public java.lang.String getListWidth()

### setListWidth

    public void setListWidth(java.lang.String _listWidth)

### getMaxlength

    public int getMaxlength()

### setMaxlength

    public void setMaxlength(int _maxlength)

### getOnblur

    public java.lang.String getOnblur()

### setOnblur

    public void setOnblur(java.lang.String _onblur)

### getOnchange

    public java.lang.String getOnchange()

### setOnchange

    public void setOnchange(java.lang.String _onchange)

### getOnclick

    public java.lang.String getOnclick()

### setOnclick

    public void setOnclick(java.lang.String _onclick)

### getOndblclick

    public java.lang.String getOndblclick()

### setOndblclick

    public void setOndblclick(java.lang.String _ondblclick)

### getOnfocus

    public java.lang.String getOnfocus()

### setOnfocus

    public void setOnfocus(java.lang.String _onfocus)

### getOnitemselected

    public java.lang.String getOnitemselected()

### setOnitemselected

    public void setOnitemselected(java.lang.String _onitemselected)

### getOnkeydown

    public java.lang.String getOnkeydown()

### setOnkeydown

    public void setOnkeydown(java.lang.String _onkeydown)

### getOnkeypress

    public java.lang.String getOnkeypress()

### setOnkeypress

    public void setOnkeypress(java.lang.String _onkeypress)

### getOnkeyup

    public java.lang.String getOnkeyup()

### setOnkeyup

    public void setOnkeyup(java.lang.String _onkeyup)

### getOnlistcall

    public java.lang.String getOnlistcall()

### setOnlistcall

    public void setOnlistcall(java.lang.String _onlistcall)

### getOnmousedown

    public java.lang.String getOnmousedown()

### setOnmousedown

    public void setOnmousedown(java.lang.String _onmousedown)

### getOnmousemove

    public java.lang.String getOnmousemove()

### setOnmousemove

    public void setOnmousemove(java.lang.String _onmousemove)

### getOnmouseout

    public java.lang.String getOnmouseout()

### setOnmouseout

    public void setOnmouseout(java.lang.String _onmouseout)

### getOnmouseover

    public java.lang.String getOnmouseover()

### setOnmouseover

    public void setOnmouseover(java.lang.String _onmouseover)

### getOnmouseup

    public java.lang.String getOnmouseup()

### setOnmouseup

    public void setOnmouseup(java.lang.String _onmouseup)

### getOnselect

    public java.lang.String getOnselect()

### setOnselect

    public void setOnselect(java.lang.String _onselect)

### getSelectFirstOnUpdate

    public java.lang.Boolean getSelectFirstOnUpdate()

### setSelectFirstOnUpdate

    public void setSelectFirstOnUpdate(java.lang.Boolean _selectFirstOnUpdate)

### getShowDelay

    public java.lang.Integer getShowDelay()

### setShowDelay

    public void setShowDelay(java.lang.Integer _showDelay)

### getSize

    public int getSize()

### setSize

    public void setSize(int _size)

### getStyle

    public java.lang.String getStyle()

### setStyle

    public void setStyle(java.lang.String _style)

### getStyleClass

    public java.lang.String getStyleClass()

### setStyleClass

    public void setStyleClass(java.lang.String _styleClass)

### getSuggestionValues

    public java.lang.Object getSuggestionValues()

  Specified by:
    `getSuggestionValues` in class `UIComboBox`

### setSuggestionValues

    public void setSuggestionValues(java.lang.Object _suggestionValues)

  Specified by:
    `setSuggestionValues` in class `UIComboBox`

### getTabindex

    public java.lang.String getTabindex()

### setTabindex

    public void setTabindex(java.lang.String _tabindex)

### getWidth

    public java.lang.String getWidth()

### setWidth

    public void setWidth(java.lang.String _width)

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIInput`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIInput`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIInput`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.